.PHONY: generate build all

all: build

generate:
	xcodegen generate
build: generate
	xcodebuild -scheme OreCalendar -destination 'platform=macOS'  -derivedDataPath build build

release: build
	rm -rf ~/Applications/OreCalendar.app ; true
	mv build/Build/Products/Release/OreCalendar.app ~/Applications/OreCalendar.app
